summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2018-12-20 09:43:49 +0100
committerChristian Ruppert <idl0r@gentoo.org>2018-12-20 11:16:38 +0100
commitc647a0cda9fb5e85d0fe64f77acfcd4ea0e4a678 (patch)
tree6d1d21330863191a3edee4c254735b5b1d256c39
parentdev-ruby/pdf-reader: add 2.2.0 (diff)
downloadgentoo-c647a0cda9fb5e85d0fe64f77acfcd4ea0e4a678.tar.gz
gentoo-c647a0cda9fb5e85d0fe64f77acfcd4ea0e4a678.tar.bz2
gentoo-c647a0cda9fb5e85d0fe64f77acfcd4ea0e4a678.zip
net-analyzer/nagstamon: Version bump to 3.2
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Christian Ruppert <idl0r@gentoo.org>
-rw-r--r--net-analyzer/nagstamon/Manifest1
-rw-r--r--net-analyzer/nagstamon/nagstamon-3.2.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/net-analyzer/nagstamon/Manifest b/net-analyzer/nagstamon/Manifest
index a9a8536b3ec..33905c5720a 100644
--- a/net-analyzer/nagstamon/Manifest
+++ b/net-analyzer/nagstamon/Manifest
@@ -1,2 +1,3 @@
DIST Nagstamon-2.0.1.tar.gz 535814 BLAKE2B f366a0b5d2f2e4c7168bbb996b68aea7f9ea2f248c25505f8e2ca553d4c275260eec8fdad27b7c1187826cca0cebc7c027491a4f7b6acb24ddf604b6b6a8a930 SHA512 f9c8ab928a78f289693ae58cd3dde6fa75dd66dc931dbec6a4affc35bd96f16c39a03cb441575c9ca42e810ae5962fc7226513b8cc2a17871e0365aa3a207db6
DIST Nagstamon-3.0.2.tar.gz 542005 BLAKE2B 090875cabbf22feea5cfe0eab0934b503d68df0f49c0a2e8056ccfed8251f278e149da5d0f8002cc5c96ffddd5b89a3ad997d90790e33c9cf1b9ffd9e32a83c0 SHA512 8b05b74adc7399b84cfb66d4c55ff80b2a37af7612496578bdc72ce00f712c8eae087204d00e7d7f1e1d35377f7bb8460d5cf337e315943a48a4ad5108e8d14f
+DIST Nagstamon-3.2.tar.gz 545142 BLAKE2B 22346395a23fbc875e5262cf4a9c23d1350c060ddba1a2a554d86bfa4b7b2500e5f7d6163f015c7dc6ab71669f613287235e19246de0ba3c6c22c362158710e8 SHA512 6a49dd1a86d8388cb3092b1971eebde5783d7cca46c36e93adcd5afecf041163d75c70ef5f7e59d725e8744b86785f0f2fee5e14475023a19362babe142659c8
diff --git a/net-analyzer/nagstamon/nagstamon-3.2.ebuild b/net-analyzer/nagstamon/nagstamon-3.2.ebuild
new file mode 100644
index 00000000000..d734e9dc56f
--- /dev/null
+++ b/net-analyzer/nagstamon/nagstamon-3.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit eutils python-r1 distutils-r1
+
+MY_PN="Nagstamon"
+MY_P="${MY_PN}-${PV/_p/-}"
+
+DESCRIPTION="status monitor for the desktop"
+DESCRIPTION="systray monitor for displaying realtime status of several monitoring systems"
+HOMEPAGE="https://nagstamon.ifw-dresden.de"
+SRC_URI="https://nagstamon.ifw-dresden.de/files/stable/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/PyQt5[gui,multimedia,svg,widgets,${PYTHON_USEDEP}]
+ dev-python/beautifulsoup:4[${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/keyring[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/secretstorage[${PYTHON_USEDEP}]
+ >=dev-python/python-xlib-0.19[${PYTHON_USEDEP}]
+ dev-python/requests-kerberos[${PYTHON_USEDEP}]
+ virtual/python-typing[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${MY_PN}"
+
+PATCHES="${FILESDIR}/${PN}-3.0-setup.patch"
+
+src_prepare() {
+ default_src_prepare
+
+ # pre-compressed already
+ rm Nagstamon/resources/nagstamon.1.gz || die
+ sed -i -e 's:\(nagstamon\.1\)\.gz:\1:' setup.py || die
+
+ mv ${PN}.py ${PN} || die
+
+ rm -rf "${S}/Nagstamon/thirdparty/Xlib/" || die
+}